Skip to main content
POST
/
core.v1.InsightsService
/
ListInsightCategoryDefinitions
cURL
curl -X POST "https://api.joinformal.com/core.v1.InsightsService/ListInsightCategoryDefinitions" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "definitions": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "displayLabel": "<string>",
      "riskAgentPrompt": "<string>",
      "isFormal": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json

The body is of type ListInsightCategoryDefinitionsRequest · object.

Response

Success

definitions
InsightCategoryDefinition · object[]